> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lumx.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create TOS acceptance link

> This endpoint generates a terms of service acceptance URL for a customer.



## OpenAPI

````yaml /openapi/api-production.yaml post /customers/{id}/tos
openapi: 3.1.0
info:
  version: 1.0.0
  title: Lumx API
  description: >-
    A cross-border banking API with instant settlements and unmatched liquidity,
    powered by stablecoins.
servers:
  - url: https://api.lumx.io
  - url: https://api-sandbox.lumx.io
security: []
paths:
  /customers/{id}/tos:
    post:
      tags:
        - Customers
      summary: Create TOS acceptance link
      description: >-
        This endpoint generates a terms of service acceptance URL for a
        customer.
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: Customer's unique identifier.
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                redirectUrl:
                  type: string
                  format: uri
                  description: >-
                    URL to redirect the customer to after they accept the terms
                    of service.
            example:
              redirectUrl: https://yourapp.com/onboarding/next-step
      responses:
        '200':
          description: Terms of service URL successfully generated.
          content:
            application/json:
              schema:
                type: object
                properties:
                  url:
                    type: string
                    format: uri
                    description: >-
                      The acceptance link for the customer to accept the terms
                      of service.
                  expiresAt:
                    type: string
                    format: date-time
                    description: >-
                      Expiration date and time of the acceptance link. The link
                      expires after 24 hours.
              example:
                url: https://dashboard.lumx.io/tos/eyJhbGciOiJSUzI1...
                expiresAt: '2026-04-09T16:00:00Z'
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      description: Bearer authentication header on the format `Bearer <API_KEY>`.

````